Anonymous Login
2019-08-23 19:59 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001047v3.0 Release[All Projects] Generalpublic2013-08-28 11:20
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001047: Project actual end date in project view is not displayed + FIX
Description$criticaltasks is not defined, thus date is empty.
fix see http://forums.web2project.net/viewtopic.php?p=14269#14269
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002444

opto (manager)

contrary to Pedros post, this still does not work in a new install of 3pre, version March 6th,
http://forums.web2project.net/viewtopic.php?p=14583#14583

~0002477

robertbasic (developer)

opto, could you please tell where exactly the $criticaltasks is not defined (module/file/line)?

thanks!

~0002490

opto (manager)

Hi Robert,

actually, the link in the description of this bug has the fix.

Or is this not clear? maybe - it was clear to me at the time I wrote it.

I think it suffices to add this at the top of the file.
Klaus

from post:

in view.php,

$criticalTasks
is not defined.

add
$criticalTasks = ($project_id > 0) ? $project->getCriticalTask ($project_id) : null;

and the actual end date is displayed.

A similiar statement is in index.php - should criticalTasks have been global in both files?


more info may be in the post: see description line of this bug notice.

~0002492

robertbasic (developer)

I got that part, but still not sure what files are those, as files "view.php" and "index.php" are present in almost all, if not all, modules. Also, the actual lines would be also helpful.

~0002499

opto (manager)

ah - well, the display is wrong in project view, so I implicitly mean view.php in projects directory.
Same dir for index.

unfortunately, the fix got lost here after pulling svn, so I don't know which line I put it in.

If you add this somewhere at the top of view.php, it works fine, if I remember correctly:
$criticalTasks = ($project_id > 0) ? $project->getCriticalTask ($project_id) : null;

 I think no matter which line, just before the html output of $criticalTasks and after declaration of global variables or retrieval of project id from post/get.

the same line is already in index.php, maybe $criticalTasks should have been global in both files? (I didn't try that).

~0002500

robertbasic (developer)

Sent a pull request for this one: https://github.com/caseysoftware/web2project/pull/87

@opto, I added the line in view.php, but not sure where, or even should it, go in index.php? Could you please test with the latest master branch from github (https://github.com/caseysoftware/web2project) and see is the actual end date missing from somewhere else, except the project view page?

thanks!

~0002516

caseydk (administrator)

Resolved in r2449;
Patch: https://github.com/caseysoftware/web2project/pull/87
+Notes

-Issue History
Date Modified Username Field Change
2012-01-14 11:43 opto New Issue
2012-03-14 09:35 opto Note Added: 0002444
2012-04-20 00:12 robertbasic Note Added: 0002477
2012-04-20 07:40 opto Note Added: 0002490
2012-04-21 01:22 robertbasic Note Added: 0002492
2012-04-22 04:47 opto Note Added: 0002499
2012-04-22 08:39 robertbasic Note Added: 0002500
2012-05-05 22:27 caseydk Note Added: 0002516
2012-05-05 22:27 caseydk Status new => resolved
2012-05-05 22:27 caseydk Resolution open => fixed
2012-05-05 22:27 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:20 caseydk Status resolved => closed
+Issue History